Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class CallPropertyTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.CallPropertyTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, CallPropertyType<T>

    public class CallPropertyTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, CallPropertyType<T>

This class implements the `call-propertyType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`CallPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`CallPropertyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getPropName()` Returns the `prop-name` element
`java.lang.String` | `getPropValue()` Returns the `prop-value` element
`CallPropertyType<T>` | `removePropName()` Removes the `prop-name` element
`CallPropertyType<T>` | `removePropValue()` Removes the `prop-value` element
`CallPropertyType<T>` | `setPropName(java.lang.String propName)` If not already created, a new `prop-name` element with the given value will be created.
`CallPropertyType<T>` | `setPropValue(java.lang.String propValue)` If not already created, a new `prop-value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallPropertyTypeImpl

    public CallPropertyTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### CallPropertyTypeImpl

    public CallPropertyTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setPropName

    public CallPropertyType<T> setPropName(java.lang.String propName)

  If not already created, a new `prop-name` element with the given value will be created. Otherwise, the existing `prop-name` element will be updated with the given value.

  Specified by:
    `setPropName` in interface `CallPropertyType<T>`
  Returns:
    the current instance of `CallPropertyType`

### removePropName

    public CallPropertyType<T> removePropName()

  Removes the `prop-name` element

  Specified by:
    `removePropName` in interface `CallPropertyType<T>`
  Returns:
    the current instance of `CallPropertyType`

### getPropName

    public java.lang.String getPropName()

  Returns the `prop-name` element

  Specified by:
    `getPropName` in interface `CallPropertyType<T>`
  Returns:
    the node defined for the element `prop-name`

### setPropValue

    public CallPropertyType<T> setPropValue(java.lang.String propValue)

  If not already created, a new `prop-value` element with the given value will be created. Otherwise, the existing `prop-value` element will be updated with the given value.

  Specified by:
    `setPropValue` in interface `CallPropertyType<T>`
  Returns:
    the current instance of `CallPropertyType`

### removePropValue

    public CallPropertyType<T> removePropValue()

  Removes the `prop-value` element

  Specified by:
    `removePropValue` in interface `CallPropertyType<T>`
  Returns:
    the current instance of `CallPropertyType`

### getPropValue

    public java.lang.String getPropValue()

  Returns the `prop-value` element

  Specified by:
    `getPropValue` in interface `CallPropertyType<T>`
  Returns:
    the node defined for the element `prop-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD